Subject: [bug#32860] [PATCH] gnu: pocl: Update to 1.2.

From: fis trivial <[email-masked]>
Date: Sun, 30 Sep 2018 01:17:43 +0000

Thanks for the detailed explanation, sometimes it's quite rewarding to
contribute. :)

Leo Famulari writes:

> On Sat, Sep 29, 2018 at 01:26:03AM +0000, fis trivial wrote:
>> Oh, sorry I didn't know about that.  Tarball feels cleaner than setting up a
>> git repo (just a feeling).  I will send another patch using git soon.
>
> Yeah, I agree with you. Git is a huge and complicated package. It's
> annoying that the packages depend on it.
>
>> But isn't those tarball now everywhere in Guix?  It would be a huge headache.
>
> Yes. Previously we favored the GitHub tarballs, but in September 2017
> GitHub caused a large number of them to change, and it was a big
> headache for us and many other distros.
>
> GitHub's recommendation is to use Git checkouts or for upstream projects
> to upload their own tarballs to their project's GitHub release page. [0]
> GitHub doesn't guarantee their automatically generated tarballs will
> remain identical in the future.
>
> So, for packages where the upstream maintainers do not upload their own
> tarballs, we are slowly changing our package definitions to use Git
> checkouts.
>
> [0] You can see an example of the difference between the upstream
> project's own tarballs, and the tarballs automatically generated by
> GitHub, on the Borg release page:
>
> https://github.com/borgbackup/borg/releases
>
> The file named 'Source code (tar.gz)' is automatically created by
> GitHub. It may change in the future. The file named
> 'borgbackup-1.1.7.tar.gz' is uploaded by Borg's maintainers, and it
> should never change.

Jiaming